org.apache.hadoop.yarn.service.api.records

## Enum ConfigFormat

- java.lang.Object
- - java.lang.Enum<ConfigFormat>
  - - org.apache.hadoop.yarn.service.api.records.ConfigFormat

- All Implemented Interfaces:
    Serializable, Comparable<ConfigFormat>

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public enum ConfigFormat
      extends Enum<ConfigFormat>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENV`
    `HADOOP_XML`
    `JSON`
    `PROPERTIES`
    `TEMPLATE`
    `XML`
    `YAML`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSuffix()`
    `static ConfigFormat` | `resolve(String type)` Get a matching format or null
    `String` | `toString()`
    `static ConfigFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConfigFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JSON

          public static final ConfigFormat JSON

    - #### PROPERTIES

          public static final ConfigFormat PROPERTIES

    - #### XML

          public static final ConfigFormat XML

    - #### HADOOP_XML

          public static final ConfigFormat HADOOP_XML

    - #### ENV

          public static final ConfigFormat ENV

    - #### TEMPLATE

          public static final ConfigFormat TEMPLATE

    - #### YAML

          public static final ConfigFormat YAML

  - ### Method Detail

    - #### values

          public static ConfigFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConfigFormat c : ConfigFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConfigFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSuffix

          public String getSuffix()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ConfigFormat>`

    - #### resolve

          public static ConfigFormat resolve(String type)

      Get a matching format or null
      Parameters:
        `type` -
      Returns:
        the format

Copyright © 2022 Apache Software Foundation. All rights reserved.